"use strict";
this.name	= "hdbg-a";
this.author	= "Norby";
this.copyright	= "2015 Norby";
this.description= "HD Backgrounds Image pack A";
this.licence	= "CC BY-NC-SA 4.0";

this.$Roles = [
	//Mission screenIDs should be before station roles
	{role:'mymission', file:'hdbg-mymission.png', x:1920, y:1080}, //a hdbg-mymission.png must be in an Images folder

	//core stations at the end to avoid role problems
	{role:"coriolis", file:"The_USS_Terraformer_by_Brendan_Biele.png", x:3840, y:2400, zoom:1,
		author:"Brendan Biele", title:"The USS Terraformer", license:"CC BY-NC-SA 3.0",
		source:"https://www.flickr.com/photos/brendanbiele/5374095042/"},
	{role:"dodecahedron", file:"Relaxing_in_my_quarters_by_Vylar_Resident.png", x:2560, y:1391, zoom:1,
		author:"Vylar Resident", title:"Relaxing in my quarters", license:"CC BY-NC-SA 2.0",
		source:"https://www.flickr.com/photos/vylar/15769790856/in/photostream/"},
	{role:"icosahedron", file:"Lab_by_Kheng_Teoh.png", x:1680, y:1050, zoom:1,
		author:"Kheng Teoh", title:"Lab", license:"no problem as long as you use cite the source",
		source:"http://kheng.deviantart.com/art/Lab-100478314"},
	{role:"rockhermit",file:"Right_on_time_by_AndreasS.png", x:3840, y:2362, zoom:1,
		author:"AndreasS", title:"Right on time", license:"CC BY 2.0",
		source:"https://www.flickr.com/photos/liqueur/3808490648/in/photostream/"},
	{role:"rockhermit-chaotic", file:"Space_Colony_by_Holly.png", x:3840, y:2160, zoom:1,
		author:"Holly", title:"Space Colony", license:"CC BY-NC-ND 2.0",
		source:"https://www.flickr.com/photos/bohemiandolls/6514055773/"},
	{role:"rockhermit-pirate", file:"Last_Eden_by_Liqueur_Felix.png", x:2720, y:1660, zoom:1,
		author:"Liqueur Felix", title:"Last Eden", license:"CC BY-NC 2.0",
		source:"https://www.flickr.com/photos/liqueur/3808490648/in/photostream/"}
	];

this.startUpComplete = function() { //use startUp in other image packs to add roles before the core roles
	var w = worldScripts.hdbg;
	if( w ) w.$AddRoles(this.$Roles);
}